1

In a system, I need to use module load gcc/4.4.7 to get access to gcc to compile foobar.c into foobar.

When I run foobar, does gcc/4.4.7 need to be loaded, say to ensure certain libraries are available?

0

if I need to use module load gcc/4.4.7 to get access to gcc to compile foobar.c into foobar then when I run foobar, does gcc/4.4.7 need to be loaded first?

No. Gcc is a compiler that creates executables from source code. Once an executable is made, the compiler is not involved with running it.

| improve this answer | |